<template>
  <modal
    :id="id"
    title="Confirmation de l'opération"
    cancel-label="Annuler"
    ok-label="Confirmer"
    show="false"
    @okClicked="$emit('okClicked')"
  >
    <template #content>
      <p>{{ text }}</p>
      <slot name="content" />
    </template>
  </modal>
</template>

<script>
import Modal from './Modal'
export default {
  name: 'ConfirmationModal',
  components: {Modal},
  props : {
    id: {
      type: String,
      default: ''
    },
    text: {
      type: String,
      default: ''
    }
  }
}
</script>

<style scoped>

</style>